<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');
$user       = Zend_Registry::getInstance ()->get ('App_User');

$username = $user->getLogin ();

$currentWeek    = date ("W");
$currentYear    = date ("Y");

$currentMonth   = date ("n");
if ($currentWeek == 1 && $currentMonth == 12)
{
    // Week can be '01' on the last week of the year
    $currentYear++;
}
if ($currentWeek >= 51 && $currentMonth == 1)
{
    $currentYear--;
}

$defaultZoom    = 2;

// Add scripts for Programmation
$this->headScript()->appendFile('/js/byrei-dyndiv_1.0rc1.js');
$this->headScript()->appendFile('/js/ipresoDialog.js');
$this->headScript()->appendFile('/js/program.js');
$this->headScript()->appendScript($this->variables);

// Add CSS for Monitoring
$this->headLink ()->appendStylesheet ('/css/programmation.css');
$this->headLink ()->appendStylesheet ('/css/calendar.css');

if (strlen ($this->error))
{
    echo "<script type=\"text/javascript\">\n";
    echo "alert ('".$this->error."');\n";
    echo "window.location = \"/Supervision\"";
    echo "</script>\n";
}

// Hidden fields
echo "<form id=\"progEdit\" method=\"post\">\n";
echo "  <input type=\"hidden\" id=\"referer\" name=\"referer\" value=\""
        .$this->referer."\" />\n";
echo "  <input type=\"hidden\" id=\"progId\" name=\"progId\" value=\""
        .$this->program."\"/>\n";
echo "  <input type=\"hidden\" id=\"origProgName\" name=\"origProgName\" value=\""
        .$this->progLabel."\" />\n";
echo "  <input type=\"hidden\" id=\"from\" name=\"from\" value=\""
        .$this->from."\"/>\n";
if (count ($this->groups))
{
    echo "  <input type=\"hidden\" id=\"groups\" value=\""
            .implode (',', array_keys ($this->groups))."\"/>\n";
}
else
    echo "  <input type=\"hidden\" id=\"groups\" value=\"\" />\n";
echo "  <input type=\"hidden\" id=\"permProgDel\" value=\"\" />\n";
echo "  <input type=\"hidden\" id=\"permProgEdit\" value=\"\" />\n";
echo "</form>\n";

?>

<div id="calendar">
<div id="boxL">
    <div id="catalogBox" class="boxContent">
    </div>
</div>

<div id="boxM">
<div class="header_text">
<?
        echo "<select id=\"progSelect\" name=\"progSelect\">\n";
        echo "</select>\n";
        echo "<input type=\"text\" name=\"progName\" id=\"progName\" value=\"\" />";
        echo "<input type=\"hidden\" name=\"newProgName\" id=\"newProgName\" ";
        echo "value=\"Prog_${username}_".date ("Y-m-d")."_".date ("H-i-s")."\" />\n";
        echo "<div id=\"progLinks\" style=\"display: none;\">\n";
        echo "  <a href=\"#\" id=\"progRename\">";
        echo $translator->translate ('Rename');
        echo "</a><br /><a href=\"#\" id=\"progDelete\">";
        echo $translator->translate ('Delete');
        echo "</a><br /><a href=\"#\" id=\"progDownload\">";
        echo $translator->translate ('Download');
        echo "</a>\n";
        echo "</div>\n";
?>
</div>
  <div id="boxCalendar">
    <?echo $this->composerCalendar ($currentWeek, $currentYear, $defaultZoom);?>
  </div>
</div>

<div id="boxR">
    <div class="boxContent" id="contextualBox">
    </div>
</div>
</div>

<div style="clear: both;"></div>

<?
// Buttons
?>
<div class="footer_buttons">
  <input type="submit" id="bCancel" value="<?echo $translator->translate ('Cancel');?>" />
<?
    if ($this->referer)
    {
        echo "<input type=\"submit\" id=\"bSave\" "
                ."value=\"".$translator->translate ('Save without Broadcast')."\" />\n";
        echo "<input type=\"submit\" id=\"bBroadcast\" "
                ."value=\"".$translator->translate ('Save and Broadcast')."\" />\n";
    }
    else
    {
        echo "<input type=\"submit\" id=\"bSave\" "
                ."value=\"".$translator->translate ('Save')."\" />\n";
    }
?>
</div>
